package com.philisense.www.dto;

import java.awt.*;

public class PuzzleCaptcha extends Vcode {

    /** x轴的坐标 */
    private Integer x;
    /** 生成图片的宽度 */
    private Integer width;
    /** 大图 */
    private Image artwork;
    /** 小图 */
    private Image vacancy;

    public PuzzleCaptcha(Integer x, Integer width, Image artwork, Image vacancy){
        this.x = x;
        this.width = width;
        this.artwork = artwork;
        this.vacancy = vacancy;
    }

    public Integer getX() {
        return x;
    }

    public void setX(Integer x) {
        this.x = x;
    }

    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    public Image getArtwork() {
        return artwork;
    }

    public void setArtwork(Image artwork) {
        this.artwork = artwork;
    }

    public Image getVacancy() {
        return vacancy;
    }

    public void setVacancy(Image vacancy) {
        this.vacancy = vacancy;
    }
}
